From f2c654d35bc90365e049440dd9243258f61e973d Mon Sep 17 00:00:00 2001
From: Adam Borowski <kilobyte@angband.pl>
Date: Sat, 3 Dec 2016 04:51:36 +0100
Subject: [PATCH] vt: printk LUT table as it is being loaded

---
 drivers/tty/vt/selection.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/drivers/tty/vt/selection.c b/drivers/tty/vt/selection.c
index 368ce18..8e67386 100644
--- a/drivers/tty/vt/selection.c
+++ b/drivers/tty/vt/selection.c
@@ -106,10 +106,13 @@ static inline int inword(const u16 c) {
  */
 int sel_loadlut(char __user *p)
 {
+	int i;
 	u32 tmplut[8];
 	if (copy_from_user(tmplut, (u32 __user *)(p+4), 32))
 		return -EFAULT;
 	memcpy(inwordLut, tmplut, 32);
+	for (i=0; i<ARRAY_SIZE(inwordLut); ++i)
+		printk("LUT %d/8: %08x\n", i, inwordLut[i]);
 	return 0;
 }
 
-- 
2.10.2

